Name: elinos-bash
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 2.05a
Release: 1

BuildArchitectures: noarch

Copyright: GPL
Source0: bash-%{version}.tar.gz
Patch0: %{name}.patch
BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (SRPM)
#
Summary: Bourne Again Shell
Group: Development/System
AutoReqProv: no

%description
%{distribution}

#
#  PACKAGE (RPM)
#

%package -n elinos-bash-%{_elinos_rpmid}
Summary: Bourne Again Shell
Group: Development/System
AutoReqProv: no

%description -n elinos-bash-%{_elinos_rpmid}
This is GNU Bash, version 2.05a.  Bash is the GNU Project's Bourne
Again SHell, a complete implementation of the POSIX.2 shell spec,
but also with interactive command line editing, job control on
architectures that support it, csh-like features such as history
substitution and brace expansion, and a slew of other features. 

%files -n elinos-bash-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_prefix}

#
#  PREP
#
%prep
%setup -q -n bash-%{version}
%patch0 -p1

#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

if [ "%{_elinos_cpu_endian}" = "little" ]; then
        bigendian=no
else
        bigendian=yes
fi

export CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}"
export AR=%{_elinos_tool_prefix}ar
export RANLIB=%{_elinos_tool_prefix}ranlib
export LD=%{_elinos_tool_prefix}ld
export NM=%{_elinos_tool_prefix}nm
export HOST_CC=gcc

ac_cv_func_setvbuf_reversed=no \
ac_cv_c_bigendian=$bigendian \
   ./configure --host=%{_elinos_target_config} \
   	--build=%{_elinos_host_config} \
	--prefix=/
make all

#
#  INSTALL
#
%install

PATH=$PATH:%{_elinos_bin_dir}

export CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}"
export AR=%{_elinos_tool_prefix}ar
export RANLIB=%{_elinos_tool_prefix}ranlib
export LD=%{_elinos_tool_prefix}ld
export NM=%{_elinos_tool_prefix}nm
export HOST_CC=gcc

make prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default \
  install

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
make \
  CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" \
  prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default \
  clean install
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
