Name: elinos-busybox
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 0.60.2
Release: 1

BuildArchitectures: noarch

Copyright: GPL
Source0: busybox-%{version}.tar.gz
Patch0: %{name}.patch
BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_prefix}


#
#  PACKAGE (SRPM)
#
Summary: multi-call binary to emulate common UNIX utilities
Group: Development/System
AutoReqProv: no

%description
%{distribution}

#
#  PACKAGE (RPM)
#

%package -n elinos-busybox-%{_elinos_rpmid}
Summary: multi-call binary to emulate common UNIX utilities
Group: Development/System
AutoReqProv: no

%description -n elinos-busybox-%{_elinos_rpmid}
BusyBox combines tiny versions of many common UNIX utilities into a single
small executable. It provides minimalist replacements for most of the utilities
you usually find in fileutils, shellutils, findutils, textutils, grep, gzip,
tar, etc. BusyBox provides a fairly complete POSIX environment for any small or
embedded system. The utilities in BusyBox generally have fewer options than
their full featured GNU cousins; however, the options that are included provide
the expected functionality and behave very much like their GNU counterparts.

%files -n elinos-busybox-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_prefix}

#
#  PREP
#
%prep
%setup -q -n busybox-%{version}
%patch0 -E -p1

#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

%if "%{_elinos_libc}" == "libc5"
LIBC_EXTRA_FLAGS="-D_NSIG=NSIG"
%endif
make \
 CROSS=%{_elinos_tool_prefix} \
 CFLAGS_EXTRA="%{_elinos_cflags} $LIBC_EXTRA_FLAGS" \
 PREFIX=%{_elinos_target_dir}/%{_elinos_libc}/busybox \
 all

#
#  INSTALL
#
%install

PATH=$PATH:%{_elinos_bin_dir}

rm -rf $RPM_BUILD_ROOT

%if "%{_elinos_libc}" == "libc5"
LIBC_EXTRA_FLAGS="-D_NSIG=NSIG"
%endif
make \
 CROSS=%{_elinos_tool_prefix} \
 CFLAGS_EXTRA="%{_elinos_cflags} $LIBC_EXTRA_FLAGS" \
 PREFIX=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/busybox \
 install
rm ${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/busybox/linuxrc

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
%if "%{_elinos_libc}" == "libc5"
LIBC_EXTRA_FLAGS="-D_NSIG=NSIG"
%endif
make \
 CROSS=%{_elinos_tool_prefix} \
 CFLAGS_EXTRA="%{_elinos_cflags} $LIBC_EXTRA_FLAGS" \
 LDFLAGS="-static" \
 PREFIX=%{_elinos_target_dir}/static/busybox \
 clean all
make \
 CROSS=%{_elinos_tool_prefix} \
 CFLAGS_EXTRA="%{_elinos_cflags} $LIBC_EXTRA_FLAGS" \
 LDFLAGS="-static" \
 PREFIX=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/busybox \
 install
rm ${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/busybox/linuxrc
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
