Name: elinos-gdb
URL: http://www.elinos.com/

Version: 5.0
Release: 2
%define FULL_VERSION %{version}-%{release}

BuildArchitectures: noarch %{_elinos_host_arch}
Copyright: GPL
Source0: gdb-5.0.tar.gz
Patch0: %{name}.patch

Buildroot: /var/tmp/%{name}-%{FULL_VERSION}-root
Prefix: %{_elinos_install_prefix}


#
#  PACKAGE:  SRPM
#
Summary: GNU gdb debugger for ELinOS 
Group: Development/Debuggers

%description
Source package for building GNU gdb debugging tools for ELinOS.
This is the gdb+dejagnu snapshot from 04-mar-2001 without the 
dejagnu, expect and tcl parts.

%ifarch noarch

#
#  PACKAGE:  NATIVE
#
%package -n elinos-gdb-%{_elinos_rpmid}
Summary: GNU gdb debugger for %{_elinos_target_name}
Group: Development/Debuggers
AutoReqProv: no

%description -n elinos-gdb-%{_elinos_rpmid}
%{distribution}

This package contains gdb, an interactive debugger.  This version
of gdb is built to be used in the target environment for the
%{_elinos_target_name}.

%files -n elinos-gdb-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_target_dir}/%{_elinos_libc}/default/bin/gdb
%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
%{_elinos_target_dir}/static/default/bin/gdb
%endif


#
#  PACKAGE:  SERVER
#
%package -n elinos-gdb-server-%{_elinos_rpmid}
Summary: GNU gdb debug server for %{_elinos_target_name}
Group: Development/Debuggers
AutoReqProv: no

%description -n elinos-gdb-server-%{_elinos_rpmid}
%{distribution}

This package contains gdbserver.  This program is executed in the
target environment to provide debugging services to a gdb client
on another system, connected via serial port or network.  Running
gdbserver with a remote gdb client requires far less memory in the
target environment than the full version of gdb.

%files -n elinos-gdb-server-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_target_dir}/%{_elinos_libc}/default/man/man1/gdbserver.1
%{_elinos_target_dir}/%{_elinos_libc}/default/bin/gdbserver
%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
%{_elinos_target_dir}/static/default/man/man1/gdbserver.1
%{_elinos_target_dir}/static/default/bin/gdbserver
%endif

#endif noarch
%endif


%ifnarch noarch 

#
#  PACKAGE:  CLIENT
#
%package -n elinos-gdb-client-%{_elinos_rpmid}
Summary: GNU gdb client debugger for %{_elinos_target_name}
Group: Development/Debuggers

%description -n elinos-gdb-client-%{_elinos_rpmid}
%{distribution}

This package contains a client version of gdb compiled for the
host environment.  This program provides remote debugging
capabilities when connected to a gdbserver running in the
%{_elinos_target_name} target environment.

%files -n elinos-gdb-client-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_bin_dir}/%{_elinos_tool_prefix}gdb

#endif !noarch
%endif


#
#  PREP
#
%prep
%setup -q -n gdb-5.0
%patch -p 1


#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}
SRCDIR="$PWD"

%ifnarch noarch

  # Build gdb-client for cross-debugging
  CC=gcc \
  AR=ar \
  RANLIB=ranlib \
  LD=ld NM=nm \
  gdb_cv_have_ptrace_getfpxregs=no \
  ${SRCDIR}/configure \
  --prefix=%{_elinos_install_dir} \
  --program-transform-name=s,^,%{_elinos_tool_prefix}, \
  --build=%{_elinos_host_config} \
  --host=%{_elinos_host_config} \
  --target=%{_elinos_target_config} \
  --disable-sim
  
  (make || true)
  (make elinos_linux_h=-I%{_elinos_include_dir} || true)
  (make || true)

%endif

%ifarch noarch

  # Build gdb for native debugging
  CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
  AR=%{_elinos_tool_prefix}ar \
  RANLIB=%{_elinos_tool_prefix}ranlib \
  LD=%{_elinos_tool_prefix}ld \
  NM=%{_elinos_tool_prefix}nm \
  gdb_cv_have_ptrace_getfpxregs=no \
  ./configure \
  --prefix=%{_elinos_install_dir}/%{_elinos_target_config} \
  --build=%{_elinos_host_config} \
  --host=%{_elinos_target_config} \
  --target=%{_elinos_target_config} \
  --disable-sim 
  
  make

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
  # build static version, too
  ( cd gdb
  	mv gdb _dl_gdb
	rm -f libgdb.a
	make CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" REGEX= gdb
	mv gdb gdb.static
  	mv _dl_gdb gdb
  )
%endif

  cd gdb/gdbserver
%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
  make CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" all
  mv gdbserver gdbserver.static
%endif
  make CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" all

%endif


#
#  INSTALL
#
%install
rm -rf $RPM_BUILD_ROOT
PATH=$PATH:%{_elinos_bin_dir}

%ifnarch noarch

install -d -m 755 ${RPM_BUILD_ROOT}%{_elinos_bin_dir}
install -s -m 755 gdb/gdb ${RPM_BUILD_ROOT}%{_elinos_bin_dir}/%{_elinos_tool_prefix}gdb

%endif

%ifarch noarch

install -d -m 755 ${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default/bin
install -m 755 gdb/gdb ${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default/bin/gdb

#
# install gdbserver and gdbserver.1 to /opt/elinos/<cpu>-target/default/...
#

(cd gdb/gdbserver
install -d -m 755           ${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default/bin
install -m 755 gdbserver    ${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default/bin/gdbserver
%{_elinos_tool_prefix}strip ${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default/bin/gdbserver
install -d -m 755           ${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default/man/man1
install -m 755 gdbserver.1  ${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default/man/man1
)

#
# install the static version when compiling for %{_elinos_static_lib}
#
(cd gdb
%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
install -d -m 755               ${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default/bin
install -m 755 gdb.static       ${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default/bin/gdb
%{_elinos_tool_prefix}strip     ${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default/bin/gdb
cd gdbserver
install -m 755 gdbserver.static ${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default/bin/gdbserver
install -d -m 755               ${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default/man/man1
install -m 755 gdbserver.1      ${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default/man/man1
%endif
)

%endif


#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
* Wed Mar 06 2001 mag@sysgo.de
- Updated to recent snapshot. Don't provide pristine 5.0 with
  a patch, since the patch size grew ridiculously large. 
- Removed dejagnu, expect and tcl directories
* Fri Oct 20 2000 pro@sysgo.de
- Initial version
