Name: elinos-inetutils
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 1.3b
Release: 2

BuildArchitectures: noarch

Copyright: GPL
Source0: inetutils-%{version}.tar.gz
Patch0: %{name}.patch
BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (default for SRPM)
#
Summary: common networking utilities and servers
Group: Development/System
AutoReqProv: no

%description
%{distribution}

#
#  PACKAGE
#

%package -n elinos-inetutils-%{_elinos_rpmid}
Summary: common networking utilities and servers
Group: Development/System
AutoReqProv: no

%description -n elinos-inetutils-%{_elinos_rpmid}
GNU InetUtils is a collection of common network programs. It includes:
 * An inetd superserver
 * An ftp client and server
 * A telnet client and server
 * An rsh client and server
 * An rlogin client and server
 * A tftp client and server
 * A syslog client and server
 * A talk client and server
 * An rexecd server
 
These are improved versions of programs originally from BSD.

%files -n elinos-inetutils-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_prefix}

#
#  PREP
#
%prep
%setup -q -n inetutils-%{version}
%patch0 -p1

#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
STRIP=%{_elinos_tool_prefix}strip \
AR=%{_elinos_tool_prefix}ar \
RANLIB=%{_elinos_tool_prefix}ranlib \
LD=%{_elinos_tool_prefix}ld \
NM=%{_elinos_tool_prefix}nm \
ac_cv_func_setvbuf_reversed=no \
ac_cv_header_utmpx_h=no \
./configure \
 --host=%{_elinos_host_config} \
 --target=%{_elinos_target_config} \
 --with-path-login=/bin/login \
 --prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default
make sysconfdir=/etc all

#
#  INSTALL
#
%install

PATH=$PATH:%{_elinos_bin_dir}

make sysconfdir=/etc \
  libexecdir=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/default/sbin \
  install

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" \
STRIP=%{_elinos_tool_prefix}strip \
AR=%{_elinos_tool_prefix}ar \
RANLIB=%{_elinos_tool_prefix}ranlib \
LD=%{_elinos_tool_prefix}ld \
NM=%{_elinos_tool_prefix}nm \
ac_cv_func_setvbuf_reversed=no \
ac_cv_header_utmpx_h=no \
./configure \
 --host=%{_elinos_host_config} \
 --target=%{_elinos_target_config} \
 --with-path-login=/bin/login \
 --prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default
make sysconfdir=/etc clean all
make sysconfdir=/etc \
  libexecdir=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/default/sbin \
  install
%endif

#
#  CLEAN
#
%clean

rm -rf $RPM_BUILD_ROOT

#
#  CHANGELOG
#
%changelog

