name: elinos-ldso
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 1.9.9
Release: 1

Prefix: %{_elinos_install_prefix}
Buildarch: %{_elinos_host_arch} 
Buildroot: /var/tmp/%{name}-root

Copyright: GPL
Source0: ldso-%{version}.tar.gz
Patch0: %{name}.patch


#
#  PACKAGE:  DEFAULT
#
Summary: ld.so 1.9.9
Group: Development/Tools
AutoReqProv: no

%description
%{distribution}

#
#  PACKAGE:  DEFAULT
#
%package -n elinos-ldso-%{_elinos_rpmid}
Summary: ld.so 1.9.9
Group: Development/Tools
AutoReqProv: no

%description -n elinos-ldso-%{_elinos_rpmid}
This package contains my ELF dynamic linkers (ld-linux.so.1), dynamic
linker library (libdl.so.1) and utilities (ldconfig and ldd) for Linux.

You need Linux kernel 2.0.0 or later with ELF support compiled in
(i.e. not loaded as a module) to use this package.

The dynamic linker is used to bootstrap programs and load shared
libraries at startup.  The dynamic linker library is used to
dynamically load shared libraries after a program is running.
Ldconfig is used to automatically update the symbolic links to shared
libraries and build the cache file used by the dynamic linker.  Ldd is
used to list the shared libraries used by a program.


%files -n elinos-ldso-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_install_prefix}/elinos


#
#  PREP
#
%prep
%setup -q -n ldso-%{version}
%patch0 -p1


#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

make LIBC5_CC=%{_elinos_tool_prefix}gcc \
	 CC=%{_elinos_tool_prefix}gcc \
	 AS=%{_elinos_tool_prefix}as \
	 LD=%{_elinos_tool_prefix}ld \
	 AR=%{_elinos_tool_prefix}ar \
	 RANLIB=%{_elinos_tool_prefix}ranlib \
     ARCH=%{_elinos_target_cpu} \
	 all


#
#  INSTALL
#
%install

PREFIX=${RPM_BUILD_ROOT}/%{_elinos_install_dir}/%{_elinos_conftarget} \
    ./instldso.sh --force --devfiles

#
#  CLEAN
#
%clean

rm -rf ${RPM_BUILD_ROOT}


#
#  CHANGELOG
#
%changelog
* Mon Nov 13 2000 pro@sysgo.de
- initial release 
