Name: elinos-less
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 374.
Release: 1

BuildArchitectures: noarch

Copyright: GPL
Source0: less-%{version}.tar.gz
Patch0: %{name}.patch
BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (SRPM)
#
Summary: "less", a paginator similar to "more" or "pg". 
Group: Development/System
AutoReqProv: no

%description
%{distribution}

#
#  PACKAGE (RPM)
#

%package -n elinos-less-%{_elinos_rpmid}
Summary: "less", a paginator similar to "more" or "pg". 
Group: Development/System
AutoReqProv: no

%description -n elinos-less-%{_elinos_rpmid}
Less is a program similar to more,  but  which  allows
backward movement in the file as well as forward movement.
Also, less does not have to read  the  entire  input  file
before  starting,  so  with large input files it starts up
faster than text editors like vi.  Less  uses  termcap
(or  terminfo on some systems), so it can run on a variety
of terminals.  There is even limited support for  hardcopy
terminals.  (On a hardcopy terminal, lines which should be
printed at the top of  the  screen  are  prefixed  with  a
caret.)

%files -n elinos-less-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_prefix}

#
#  PREP
#
%prep
%setup -q -n less-%{version}
%patch0 -p1

#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

export CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}"
export AR=%{_elinos_tool_prefix}ar
export RANLIB=%{_elinos_tool_prefix}ranlib
export LD=%{_elinos_tool_prefix}ld
export NM=%{_elinos_tool_prefix}nm
export HOST_CC=gcc

./configure --host=%{_elinos_target_config} \
   	--build=%{_elinos_host_config} \
	--prefix=/
make all

#
#  INSTALL
#
%install

PATH=$PATH:%{_elinos_bin_dir}

export CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}"
export AR=%{_elinos_tool_prefix}ar
export RANLIB=%{_elinos_tool_prefix}ranlib
export LD=%{_elinos_tool_prefix}ld
export NM=%{_elinos_tool_prefix}nm
export HOST_CC=gcc

make prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/extended/less \
  install

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
make \
  CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" \
  prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/extended/less \
  clean install
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
