Name: elinos-linuxheaders

Version: 2.4
Release: 1

Buildarch: %{_elinos_host_arch}

Copyright: GPL

BuildRoot: /var/tmp/%{name}-%{version}-root
Prefix: %{_elinos_install_prefix}

#
#  PACKAGE:  SRPM
#
Summary: Linux kernel headers for the ELinOS CDK.
Group: System Environment/System

%description
This package contains the kernel headers for the ELinOS Embedded
Cross Development Kit.  A common source archive is used for all target
architectures.

#
#  PACKAGE:  HEADERS
#
%package -n elinos-linuxheaders-%{_elinos_target_arch}-%{_elinos_libc}
Summary: Linux kernel header files
Group: Development/System
AutoReqProv: no

%description -n elinos-linuxheaders-%{_elinos_target_arch}-%{_elinos_libc}
%{distribution}

This package contains the C header files from the kernel source tree.
These header files are included by many of the standard C header files,
so this package is needed to build most standard applications for the
target environment.

#
#  PREP
#
%prep
SRCDIR="$PWD"/linux
rm -rf ${SRCDIR}
mkdir -p ${SRCDIR}
cd ${SRCDIR}

cp -a %{_elinos_prefix}/linux-%{_elinos_kernel_base_version}/* ${SRCDIR}/.

#
#  BUILD
#
%build
SRCDIR="$PWD"/linux
cd ${SRCDIR}

cp arch/%{_elinos_target_cpu}/defconfig .config
(export ELINOS_PREFIX=%{_elinos_install_prefix}/elinos
 export ELINOS_CPU=%{_elinos_cpu_type}
 export ELINOS_ARCH=%{_elinos_cpu_id}
 export ELINOS_LIBC=%{_elinos_libc}
 export ELINOS_BIN_PREFIX=%{_elinos_target_arch}
 export ELINOS_CDK=%{_elinos_install_dir}
 export LINUX_ARCH=%{_elinos_target_cpu}
 export AS=%{_elinos_bin_dir}/%{_elinos_tool_prefix}as
 export CC=%{_elinos_bin_dir}/%{_elinos_tool_prefix}gcc
 export CXX=%{_elinos_bin_dir}/%{_elinos_tool_prefix}g++
 yes "" | make oldconfig include/linux/version.h include/linux/autoconf.h)

#
#  INSTALL
#
%install
SRCDIR="$PWD"/linux
cd ${SRCDIR}

rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/%{_elinos_include_dir}

cp -a include/linux ${RPM_BUILD_ROOT}/%{_elinos_include_dir}/.

cp -a include/asm-generic ${RPM_BUILD_ROOT}/%{_elinos_include_dir}/.
cp -a include/asm-%{_elinos_target_cpu} ${RPM_BUILD_ROOT}/%{_elinos_include_dir}/.
%if "%{_elinos_cpu_type}" == "ppc"
cp -a include/asm-m68k ${RPM_BUILD_ROOT}/%{_elinos_include_dir}/.
%endif
cd ${RPM_BUILD_ROOT}/%{_elinos_include_dir}
ln -s asm-%{_elinos_target_cpu} asm

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT

%files -n elinos-linuxheaders-%{_elinos_target_arch}-%{_elinos_libc}
%defattr(-,root,root)
%dir %{_elinos_include_dir}

%{_elinos_include_dir}/linux
%{_elinos_include_dir}/asm
%{_elinos_include_dir}/asm-generic
%{_elinos_include_dir}/asm-%{_elinos_target_cpu}
%if "%{_elinos_cpu_type}" == "ppc"
%{_elinos_include_dir}/asm-m68k
%endif

#
#  CHANGELOG
#
%changelog
* Wed Jun 14 2000 Mark Hatle <mhatle@mvista.com>
- Started this package
