Name: elinos-sh-utils
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 2.0
Release: 1

BuildArchitectures: noarch

Copyright: GPL
Source0: sh-utils-%{version}.tar.gz
Patch0: %{name}.patch
BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (SRPM)
#
Summary: Shell utility programs.
Group: Development/System
AutoReqProv: no

%description
%{distribution}

#
#  PACKAGE (RPM)
#

%package -n elinos-sh-utils-%{_elinos_rpmid}
Summary: Shell utility programs.
Group: Development/System
AutoReqProv: no

%description -n elinos-sh-utils-%{_elinos_rpmid}
This is a package of small shell programming utilities.  They are mostly
compliant with POSIX.2, where applicable.
 
The programs that can be built with this package are:
 
  basename chroot date dirname echo env expr factor false groups
  hostname id logname nice nohup pathchk printenv printf pwd seq
  sleep stty su tee test true tty uname users who whoami yes
 
Some programs (chroot, nice, nohup, uname, and stty) are built and
installed only on systems that have the features to support them.
su is always built, but it is installed only if the installer can
create setuid-root programs. 

%files -n elinos-sh-utils-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_prefix}

#
#  PREP
#
%prep
%setup -q -n sh-utils-%{version}
%patch0 -p1

#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

export CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}"
export AR=%{_elinos_tool_prefix}ar
export RANLIB=%{_elinos_tool_prefix}ranlib
export LD=%{_elinos_tool_prefix}ld
export NM=%{_elinos_tool_prefix}nm
export HOST_CC=gcc

if [ "%{_elinos_cpu_endian}" = "little" ]; then
        bigendian=no
else
        bigendian=yes
fi                                                                              

if [ "%{_elinos_libc}" = "libc5" ]; then
	rx=--without-included-regex
else
	rx=""
fi

ac_cv_func_setvbuf_reversed=no \
ac_cv_c_bigendian=$bigendian \
./configure --host=%{_elinos_target_config} \
   	--build=%{_elinos_host_config} \
	--prefix=/  $rx
make all

#
#  INSTALL
#
%install

PATH=$PATH:%{_elinos_bin_dir}

export CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}"
export AR=%{_elinos_tool_prefix}ar
export RANLIB=%{_elinos_tool_prefix}ranlib
export LD=%{_elinos_tool_prefix}ld
export NM=%{_elinos_tool_prefix}nm
export HOST_CC=gcc

make prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/%{_elinos_libc}/extended/sh-utils \
  install

%if "%{_elinos_libc}" == "%{_elinos_static_lib}"
make \
  CC="%{_elinos_tool_prefix}gcc -static %{_elinos_cflags}" \
  prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/static/extended/sh-utils \
  clean install
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
