Name: elinos-zlib
Vendor: SYSGO Real-Time Solutions GmbH
Distribution: ELinOS
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 1.1.3
Release: 1

BuildArchitectures: noarch

Copyright: GPL
Source0: zlib-%{version}.tar.gz
#Patch0: %{name}.patch
BuildRoot: /var/tmp/%{name}
Prefix: %{_elinos_install_prefix}/elinos


#
#  PACKAGE (default for SRPM)
#
Summary: General purpose data compression library
Group: Development/System
AutoReqProv: no

%description
%{distribution}

#
#  PACKAGE
#

%package -n elinos-zlib-%{_elinos_rpmid}
Summary: General purpose data compression library
Group: Development/System
AutoReqProv: no

%description -n elinos-zlib-%{_elinos_rpmid}
zlib 1.1.3 is a general purpose data compression library.  All the code
is thread safe.  The data format used by the zlib library
is described by RFCs (Request for Comments) 1950 to 1952 in the files 
ftp://ds.internic.net/rfc/rfc1950.txt (zlib format), rfc1951.txt (deflate
format) and rfc1952.txt (gzip format). These documents are also available in
other formats from ftp://ftp.uu.net/graphics/png/documents/zlib/zdoc-index.html

%files -n elinos-zlib-%{_elinos_rpmid}
%defattr(-,root,root)
%{_elinos_prefix}

#
#  PREP
#
%prep
%setup -q -n zlib-%{version}
#%patch0 -p1

#
#  BUILD
#
%build

# its all done in the section INSTALL

#
#  INSTALL
#
%install

PATH=$PATH:%{_elinos_bin_dir}

# build shared version
CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
 CXX="%{_elinos_tool_prefix}g++ %{_elinos_cflags}" \
 AR="%{_elinos_tool_prefix}ar rc" \
 RANLIB=%{_elinos_tool_prefix}ranlib \
 LD=%{_elinos_tool_prefix}gcc \
 LDSHARED="%{_elinos_tool_prefix}gcc -shared -Wl,-soname,libz.so.1" \
 NM=%{_elinos_tool_prefix}nm \
 ./configure \
  --prefix=${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget}
mkdir -p ${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget}
make all install

# clean up
make clean

# build static version
CC="%{_elinos_tool_prefix}gcc %{_elinos_cflags}" \
 CXX="%{_elinos_tool_prefix}g++ %{_elinos_cflags}" \
 AR="%{_elinos_tool_prefix}ar rc" \
 RANLIB=%{_elinos_tool_prefix}ranlib \
 LD=%{_elinos_tool_prefix}gcc \
 LDSHARED="%{_elinos_tool_prefix}gcc -shared -Wl,-soname,libz.so.1" \
 NM=%{_elinos_tool_prefix}nm \
 ./configure \
  --shared \
  --prefix=${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget}
mkdir -p ${RPM_BUILD_ROOT}%{_elinos_install_dir}/%{_elinos_conftarget}
make all install

#
#  CLEAN
#
%clean

rm -rf $RPM_BUILD_ROOT

#
#  CHANGELOG
#
%changelog
