/*
 * arch/ppc/kernel/men824xali_wdog_timer.c
 * 
 * MEN 824XALI early watchdog access
 *
 * Copyright 2001 MEN MIKRO ELEKTRONIK
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */

#include <linux/time.h>
#include <linux/sched.h>
#include <linux/timer.h>

extern void men824xwd_ping_early(void);
static struct timer_list men824xwd_timer;
/* start the timer for 'men824xwd_timer_stop' times.
   After the driver shall be started */
static int men824xwd_timer_stop = 20;

static void men824xwd_timerfun(unsigned long d)
{
  men824xwd_ping_early();

  if(men824xwd_timer_stop == 0) {
    del_timer(&men824xwd_timer);
  } else {
    mod_timer(&men824xwd_timer,jiffies + HZ/2);
    men824xwd_timer_stop--;
  }
}

void men824xwd_timer_start_early(void)
{
  init_timer(&men824xwd_timer);
  men824xwd_timer.expires=jiffies + HZ/2;
  men824xwd_timer.function=men824xwd_timerfun;
  men824xwd_timer.data=0;
  add_timer(&men824xwd_timer);
  men824xwd_ping_early();
}
