/*
 * arch/ppc/platforms/men824xali_serial.h
 * 
 * Definitions for MEN824X Platform
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */

#ifndef __ASMPPC_MEN824X_SERIAL_H
#define __ASMPPC_MEN824X_SERIAL_H

#include <linux/config.h>

#ifdef CONFIG_SERIAL_MANY_PORTS
#define RS_TABLE_SIZE  64
#else
#define RS_TABLE_SIZE  4
#endif

/* Rate for the 1.8432 Mhz clock for the onboard serial chip */
#define BASE_BAUD ( 1843200 / 16 )

#ifdef CONFIG_SERIAL_DETECT_IRQ
#define STD_COM_FLAGS (ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST|ASYNC_AUTO_IRQ)
#else
#define STD_COM_FLAGS (ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST)
#endif

#define STD_SERIAL_PORT_DFNS                                         \
        /* UART CLK   PORT IRQ     FLAGS        */                   \
        { 0, BASE_BAUD, 0x3F8, 4, STD_COM_FLAGS },       /* ttyS0 */ \
        { 0, BASE_BAUD, 0x2F8, 3, STD_COM_FLAGS }        /* ttyS1 */ 
	
/* On chip DUART parameters are defined via early_serial_setup() in platform_init() */

#define SERIAL_PORT_DFNS STD_SERIAL_PORT_DFNS

#endif /* __ASMPPC_MEN824X_SERIAL_H */
