/***************************************************************************
                          cpxxpci.h  -  description
                             -------------------
    begin                : Fri Oct 19 2001
    copyright            : (C) 2001 by ag
    email                : arno.geissel@hbm.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

 #define MODULE_NAME	"cpxxpci"

 // debug issues
 #define ALL_MSG "cpxxpci: "
 #define ALL_DEBUG

 #undef PDEBUG             /* undef it, just in case */
 #ifdef ALL_DEBUG
 #  define __static
 #  ifdef __KERNEL__
      /* This one if debugging is on, and kernel space */
 #    define PDEBUG(fmt, args...) printk( /*KERN_DEBUG*/ ALL_MSG fmt, ## args)
 #  else
      /* This one for user space */
 #    define PDEBUG(fmt, args...) fprintf(stderr, fmt, ## args)
 #  endif
 #else
 #  define PDEBUG(fmt, args...) /* not debugging: nothing */
 #  define __static static
 #endif

 #undef PDEBUGG
 #define PDEBUGG(fmt, args...) PDEBUG(fmt, ## args) /* nothing: it's a placeholder */

 // device issues
 #define DEV_MAJOR			      43
 #define CPXX_IOC_MAGIC	      'l'
 #define CPXX_IOC_GFIFOSIZE   _IOR(CPXX_IOC_MAGIC, 1, 1000)
 #define CPXX_IOC_SPCIDATA 		_IOW(CPXX_IOC_MAGIC, 2, 1000)
 #define CPXX_IOC_GPCIDATA   	_IOR(CPXX_IOC_MAGIC, 3, 1000)
 #define TYPE(dev) 						(MINOR(dev) >> 4)
 #define NUM(dev)  						(MINOR(dev) & 0xf)
 #define CPXXPCI_NR_DEVS    	1

  // PCI issues
 #define PCI_VENDOR						0x10B9
 #define PCI_DEVICE						0x1533
 #define PCI_CONFIG_SIZE      0x0100

 // M7101 registers
 #define GPIO_DIRECTION_REG   0x7D
 #define GPIO_DATA_WRITE_REG  0x7E
 #define GPIO_DATA_READ_REG   0x7F

 #define I2CCLK_MASK          0x40
 #define I2CDAT_MASK          0x80

 // Cardbus PCI1410A issues
 #define EEPROM_SLAVE_ADRESS  0x57

 // struct
 typedef struct
 {
   unsigned char data;
   unsigned char index;
   unsigned char slave_adr;
   unsigned char control;
 }S_SEROP;

 // data

 // function prototypes
