/***************************************************************************
                          isr.h  -  description
                             -------------------
    begin                : Mon Sep 15 2003
    copyright            : (C) 2003 by Arno Geissel
    email                : geissel@t-c-linux
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

 #ifndef __ISR_H__
 #define __ISR_H__

 void gpib_interrupt(int irq, void *dev_id, struct pt_regs *regs);
 void after_gpib_interrupt (unsigned long);
 int  read_from_gpib(void);
 int  write_on_gpib(void);



 #define DISABLE_INTERRUPT disable_irq(Board.link->irq.AssignedIRQ)   // IRQ 11
 #define ENABLE_INTERRUPT enable_irq(Board.link->irq.AssignedIRQ)
 #define TIMEOUT_1MS 0xF5  // 1 ms
 #define TIMEOUT_4MS 0xF6  // 4 ms

 #define TIMEOUT TIMEOUT_1MS   // this is our used timeout

 #define GPIB_MAX_CNT     0x7FFFFFFFL

 #define UNADRESSED       0
 #define LISTENER         1
 #define TALKER           2

 #define C_NL          0x0a      // newline character

#endif
