/***************************************************************************
                          tnt4882_regs.c  -  description
                             -------------------
    begin                : Thu Sep 11 2003
    copyright            : (C) 2003 by Arno Geissel
    email                : geissel@t-c-linux
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <linux/version.h>
#include <linux/kernel.h>
#include <linux/module.h>

 #if CONFIG_MODVERSIONS==1
 #define MODVERSIONS
 #include <linux/modversions.h>
 #endif

#include <linux/pci.h>

#include <pcmcia/cs_types.h>
#include <pcmcia/cs.h>
#include <pcmcia/cistpl.h>
#include <pcmcia/cisreg.h>
#include <pcmcia/ds.h>

#include "global.h"
#include "tnt4882_regs.h"

// this is our global board structure for direct board access
struct board Board;


/*------------------------------------------------------------------*/
/* Outputs one byte to the register addressed by the first argument */
/*------------------------------------------------------------------*/

inline void board_out( int addr, unsigned char byte )
{
	outb( byte, addr );
}

/*------------------------------------------------------------------*/
/* Outputs one word to the register addressed by the first argument */
/*------------------------------------------------------------------*/

inline void board_outw( int addr, unsigned short word )
{
	outw( word, addr );
}

/*-------------------------------------------------------------*/
/* Inputs one byte from the register addressed by the argument */
/*-------------------------------------------------------------*/

inline unsigned char board_in( int addr )
{
	return inb( addr );
}

/*-------------------------------------------------------------*/
/* Inputs one word from the register addressed by the argument */
/*-------------------------------------------------------------*/

inline unsigned short board_inw( int addr )
{
	return inw( addr );
}
