/* ------------------------------------------------------------------------- */
/* i2c-algo-cpm.h i2c driver algorithms for MPC8XX/MPC8260 CPM		     */
/* ------------------------------------------------------------------------- */

/* $Id: i2c.patch,v 1.2 2002/01/29 11:49:09 pba Exp $ */

#ifndef I2C_ALGO_CPM_H
#define I2C_ALGO_CPM_H 1

#include <linux/i2c.h>
#include <linux/wait.h>

#define CPM_MAX_XFER	128

struct i2c_algo_cpm_data {
	uint dp_tbase, dp_rbase;
	volatile iic_t	*iip;
#if defined(CONFIG_8xx)
#define using_reloc_patch(p)	((p)->reloc != 0)
	int reloc;
	volatile i2c8xx_t *i2c;
	volatile cpm8xx_t *cp;
#elif defined(CONFIG_8260)
#define using_reloc_patch(p)	(0)
	volatile i2c8260_t *i2c;
	volatile cpm8260_t *cp;
	void (*isrfunc)(void *);
#endif
	int	(*setisr)(struct i2c_algo_cpm_data *, void (*func)(void *));
	u_char *temp;
	spinlock_t buslock;
	wait_queue_head_t waitq;
};

int i2c_cpm_add_bus(struct i2c_adapter *);
int i2c_cpm_del_bus(struct i2c_adapter *);

#endif /* I2C_ALGO_CPM_H */
